package Network.Algorithm.SimplexAlgorithm;

import Network.Algorithm.*;

/**
 *  This class represents information about an arc for network simplex algorithm.
 */

public class SimplexAlgArcInfo implements ArcAlgInfo {
    public double             flow;       /* Flow on this arc */
    
    final public double getFlow() {
        return flow;
    }
    
    /**
     * Returns the string representation of this object which is the flow associated with
     * this arc simplex algorithm info. There is some other information about an arc that
     * is relevant to simplex algorithm but this information is maintained by the tree
     * algorithm information used by the simplex algorithm. Simplex algorithm, however makes
     * very little use of tree algorithm arc info, therefore mostly tree algorithm arc info
     * ignored in the implementation of simplex algorithm. So users should not rely on
     * correctness of tree algorithm arc information relevant to a simplex method.
     *
     * @see Network.Algorithm.SimplexAlgorithm
     */
     
     
     
     
    public String toString() {
        return Double.toString(flow);
    }
}
