package Network.Algorithm.TreeAlgorithm;

import Network.Representation.*;

/**
 * This class is thrown when a tree structure has found to have multiple roots by a <code>
 * TreeAlgorithm</code>.
 */
public class TreeHasManyRootsException extends Exception {
    
    /**
     * The first node that can possibly be the root node.
     */
    Node firstRoot;
    
    /**
     * The second node that can possibly be the root node.
     */
    Node secondRoot;
    public TreeHasManyRootsException (String message, Node oneRoot, Node otherNode) {
        super(message);
        firstRoot=oneRoot;
        secondRoot=otherNode;
        
    }
}